package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantPlugin;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussMerchantPluginMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantPlugin record);

    int insertSelective(TbPlussMerchantPlugin record);

    TbPlussMerchantPlugin selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantPlugin record);

    int updateByPrimaryKeyWithBLOBs(TbPlussMerchantPlugin record);

    int updateByPrimaryKey(TbPlussMerchantPlugin record);
}